

#   Package for interfacing to the MEIS Knob Encoder via the phidgets library

set PACKAGE KnobEncoder
set VERSION 1.0

global tcl_platform 

switch $tcl_platform(os) {
   "Windows NT" {
       package ifneeded $PACKAGE $VERSION  \
          [load [file join $env(MIDASBASE) MIDASpackages $PACKAGE$VERSION Win [set PACKAGE].dll]]
   }
   Linux {
       package ifneeded $PACKAGE $VERSION  \
          [load [file join $env(MIDASBASE) MIDASpackages $PACKAGE$VERSION Linux [set PACKAGE].so]]
   }
   default {puts "unknown or unsupported os - $tcl_platform(os)"}
}

